org.apache.cassandra.cql3

## Class UntypedResultSet.Row

- java.lang.Object
- - org.apache.cassandra.cql3.UntypedResultSet.Row

Enclosing class:
  UntypedResultSet

    public static class UntypedResultSet.Row
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Row(java.util.List<ColumnSpecification> names, java.util.List<java.nio.ByteBuffer> columns)`
`Row(java.util.Map<java.lang.String,java.nio.ByteBuffer> data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.nio.ByteBuffer` `getBlob(java.lang.String column)`
`boolean` `getBoolean(java.lang.String column)`
`byte` `getByte(java.lang.String column)`
`java.nio.ByteBuffer` `getBytes(java.lang.String column)`
`java.util.List<ColumnSpecification>` `getColumns()`
`double` `getDouble(java.lang.String column)`
`java.net.InetAddress` `getInetAddress(java.lang.String column)`
`int` `getInt(java.lang.String column)`
`<T> java.util.List<T>` `getList(java.lang.String column, AbstractType<T> type)`
`long` `getLong(java.lang.String column)`
`<K,V> java.util.Map<K,V>` `getMap(java.lang.String column, AbstractType<K> keyType, AbstractType<V> valueType)`
`<T> java.util.Set<T>` `getSet(java.lang.String column, AbstractType<T> type)`
`short` `getShort(java.lang.String column)`
`java.lang.String` `getString(java.lang.String column)`
`java.util.Date` `getTimestamp(java.lang.String column)`
`java.util.UUID` `getUUID(java.lang.String column)`
`boolean` `has(java.lang.String column)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Row

    public Row(java.util.Map<java.lang.String,java.nio.ByteBuffer> data)

#### Row

    public Row(java.util.List<ColumnSpecification> names,
               java.util.List<java.nio.ByteBuffer> columns)

### Method Detail

#### has

    public boolean has(java.lang.String column)

#### getBlob

    public java.nio.ByteBuffer getBlob(java.lang.String column)

#### getString

    public java.lang.String getString(java.lang.String column)

#### getBoolean

    public boolean getBoolean(java.lang.String column)

#### getByte

    public byte getByte(java.lang.String column)

#### getShort

    public short getShort(java.lang.String column)

#### getInt

    public int getInt(java.lang.String column)

#### getDouble

    public double getDouble(java.lang.String column)

#### getBytes

    public java.nio.ByteBuffer getBytes(java.lang.String column)

#### getInetAddress

    public java.net.InetAddress getInetAddress(java.lang.String column)

#### getUUID

    public java.util.UUID getUUID(java.lang.String column)

#### getTimestamp

    public java.util.Date getTimestamp(java.lang.String column)

#### getLong

    public long getLong(java.lang.String column)

#### getSet

    public <T> java.util.Set<T> getSet(java.lang.String column,
                                       AbstractType<T> type)

#### getList

    public <T> java.util.List<T> getList(java.lang.String column,
                                         AbstractType<T> type)

#### getMap

    public <K,V> java.util.Map<K,V> getMap(java.lang.String column,
                                           AbstractType<K> keyType,
                                           AbstractType<V> valueType)

#### getColumns

    public java.util.List<ColumnSpecification> getColumns()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`